"""
Basic views for Application
===========================
"""

from flask import Blueprint, render_template, send_from_directory

# Main blueprint.
bp = Blueprint('views', __name__)

# Blueprint for documentation.
docs_bp = Blueprint('docs', __name__)

@bp.route("/")
def index() -> str:
    """
    Index page.

    """

    # Render template file. Template file is using Jinja2 syntax, and can be passed an arbitrary number
    # of arguments to be used in the template. The template file is located in the templates directory.
    html = render_template("index.html.j2", title="TJTS5901 Example. It was changed by Arno.")
    return html

@bp.route("/test")
def test_item_adding():
    """
    Test item is added
    """

    from .models import Item, User

    # for test purpose create random number (unique mail address required)
    import random
    ran_int = str(random.randint(0,10000))

    # Create a new user
    user = User()
    user.email = "test" + ran_int + "@gmail.com"
    user.password = "placeholder"
    user.save()

    # Create a new item
    item = Item()
    item.title = "Test title"
    item.description = "This is a test description"
    item.starting_bid = 100
    item.seller = user
    item.save()

    return "OK"
